Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Interface Message

All Superinterfaces:
  Declaration, Expression

All Known Implementing Classes:
  Message_Event, Message_Indirect, Message_Simple, Message_Struct, Message_Union

    public interface Message

extends Declaration

Abstracts the various types of messages into a single clean interface. Essentially provides accessors to all the possible useful fields of the various messages.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Method Summary
`Catalog<java.lang.String,Message>` | `getFields()` Simple accessor.
`java.util.Hashtable<java.lang.String,java.lang.Integer>` | `getName2Tag()` Simple accessor.
`java.util.Hashtable<java.lang.Integer,java.lang.String>` | `getTag2Name()` Simple accessor.
`int` | `getTagWidth()` Simple accessor.
`int` | `getWidth()` Simple accessor.
`boolean` | `isVariableWidth()` Simple accessor.

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Method Detail

### getWidth

    int getWidth()

  Simple accessor.

  Returns:
    The maximum total (including the tag) bitwidth of this message type.

### getTagWidth

    int getTagWidth()

  Simple accessor.

  Returns:
    The bitwidth of the tag for this port.

### getName2Tag

    java.util.Hashtable<java.lang.String,java.lang.Integer> getName2Tag()

  Simple accessor.

  Returns:
    A hashtable mapping from field names to tag values.

### getTag2Name

    java.util.Hashtable<java.lang.Integer,java.lang.String> getTag2Name()

  Simple accessor.

  Returns:
    A hashtable mapping from tag values to field names.

### getFields

    Catalog<java.lang.String,Message> getFields()

  Simple accessor.

  Returns:
    `null` for simple messages, a catalog of the fields otherwise.

### isVariableWidth

    boolean isVariableWidth()

  Simple accessor.

  Returns:
    `true` if the width of the messages can vary at run time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD